<?php
header("Location:../excel33/index.php");
session_name('excel_a_webservices');
session_start();

function comprueba(){

if($_POST[login] and $_POST[pass]){
require("db.php");
$login=$_POST[login];
$pass=$_POST[pass];
$query="SELECT * FROM usuarios WHERE login='$login' ";
$result=mysql_query($query,$link_nazasa) or die(mysql_error());
if(mysql_num_rows($result)==0){
$texto ="<p>Login incorrecto<br /> 
	vuelve a intentar </p>";
	$_SESSION[texto]=$texto;
} else { 
$array=mysql_fetch_array($result);
if($array["password"] == $pass){
$_SESSION[login]=$array['login'];
$_SESSION[nombre]=$array["nombre"];
$_SESSION[id]=$array['id'];
$_SESSION[rfcEmisor]=$array[rfc];
$texto ="Bienvenido";
$_SESSION[texto]=$texto;
} else { $texto ="<p>Login incorrecto<br /> 
	vuelve a intentar2</p>";$_SESSION[texto]=$texto;}
 } 
 }
  }
  comprueba();
  
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Documento sin t&iacute;tulo</title>
</head>
<link rel="stylesheet" href="http://facturamail.mx/sistemaQA/men_trabajo_top.css" type="text/css" />
<link href="http://facturamail.mx/sistemaQA/styleFACTURAMAIL.css" type="text/css" rel="stylesheet" />
<link href="http://facturamail.mx/sistemaQA/estilos.css" rel="stylesheet" type="text/css" />
<style type="text/css" >
/*input{ font-family:Calibri; background-color:#FCFFE1; font-size:12px;}*/

#idU{

background-color:#DBFFC4;

}

</style>
<body>

<?php
echo $_SESSION[texto].' '.$_SESSION[rfcEmisor];
//echo 'iiiiiiiiiiiiiiid'.$_SESSION[id];
//print_r($_SESSION);
if($_SESSION[login]==true){

require("links.php");
function cargar()/*carga new file*/{
$nombre_carpeta='carpeta';
$filehandle = opendir($nombre_carpeta);

require("db.php");
$query = mysql_query("select nombreArchivo from archivoCargados where id_cliente = '$_SESSION[id]' ",$link_nazasa);

while($row=mysql_fetch_array($query)){
unlink('carpeta/'.$row[nombreArchivo]);
}


/*
	while ($file = readdir($filehandle)){
	if ($file != "." && $file != ".."){
	$tamanyo =fileSize($nombre_carpeta.'/'. $file);
	$fp = fopen($nombre_carpeta.'/'.$file, "rb"); 
	$contenido = fread($fp, $tamanyo);
	$contenido = addslashes($contenido);
	if(!$file=='descargar.php'){ 
unlink($nombre_carpeta.'/'.$file);

}else{}
} }*/

$nombretemp = $_FILES["archivo"]["tmp_name"];
$nombrearchivo = $_FILES["archivo"]["name"];
$tamanyoarchivo = $_FILES["archivo"]["size"];
$tipoarchivo = getimagesize($nombretemp);
$nuevonombre = $nombrearchivo;
if( $tipoarchivo[0] == 0 || $tipoarchivo[0] == 0 ||$tipoarchivo[0] == 0 || $tipoarchivo [2] == 2 || $tipoarchivo [2] == 3 ||$tipoarchivo[2] == 4){ //gif o jpg
    /*if ($tamanyoarchivo <= $tamanyomax) { //archivo demasioado grande*/
	if(move_uploaded_file($nombretemp, $nombre_carpeta.'/'. $nuevonombre)){
	chmod ($nombre_carpeta.'/' . $nuevonombre, 0755);
	
	$tamanyo =fileSize($nombre_carpeta.'/'. $nuevonombre);
	$fp = fopen($nombre_carpeta.'/'.$nuevonombre, "rb"); 
	$contenido = fread($fp, $tamanyo);
	$contenido = addslashes($contenido); 
	
	echo "<form action='{$_SERVER['PHP_SELF']}' method='post'>
	<input type='submit' value='ok!!'></form>";
	 $_SESSION[nuevonombre]=$nombre_carpeta.'/'.$nuevonombre;
	 $_SESSION[nombre]=$nuevonombre;
	 require("db.php");
	 $quer=mysql_query("insert into archivoCargados 
	 (nombreArchivo,id_cliente) values 
	 ('$_SESSION[nombre]','$_SESSION[id]') ",$link_nazasa);
	//unset($_SESSION[siguiente]);
	//$tamanyo2=filesize_format($tamanyo);	
	}else{
	echo "<p>no se ah podido cargar el archivo. </p>";
	}
	/*}else{
	echo "<p> elarchivo tiene mas de <b> $tamanyomax</b>y
	es demasiado grande.</p>";
	}*/
	}else{
	echo "<p> no es un archivo gif o jpg valido.</p>";
	}
	
	}
	
	
	if($_FILES["archivo"]["size"]==''){
	
	}else{cargar();}
if($_SESSION[nuevonombre]){
echo 'fué cargado un xml con exito.';
}
if($_SESSION[nuevonombre]==false){
?>

<form action="index.php" method="post" enctype="multipart/form-data" >
<input name="archivo" type="file" size="50" />
<input type="submit" value="cargar archivo" />
</form>

<?php }}else{ ?>
<form action="index.php" method="post" >

<label>usuario</label><br /><br />
<input name="login" type="text" /><br /><br />

<label>login</label><br /><br />
<input name="pass" type="password" /><br /><br />

<input type="submit" name="enviar" value="enviar" /><br /><br />
</form>


<?php } ?>
</body> 
</html>
